> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get E-Way Bill

> Pass E-Way Bill Number to fetch E-Way Bill details.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/tax-payer/bill/{ewb_no}:
    get:
      tags:
        - E-Way Bill1
        - Common
      summary: Get E-Way Bill
      operationId: getEWayBill
      parameters:
        - name: ewb_no
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-source
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
            example: primary
        - name: x-proxy
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
            example: secondary
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: >-
            200 EWB fetched / 357 EWB data not available / 200 Fetch rejected
            EWB
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          VehiclListDetails:
                            type: array
                            items:
                              type: object
                              properties:
                                enteredDate:
                                  type: string
                                  example: 01/05/2024 07:00:00 PM
                                fromPlace:
                                  type: string
                                  example: FRAZER TOWN
                                fromState:
                                  type: number
                                  example: 27
                                groupNo:
                                  type: string
                                  example: '0'
                                transDocDate:
                                  type: string
                                  nullable: true
                                  example: null
                                transDocNo:
                                  type: string
                                  example: ''
                                transMode:
                                  type: string
                                  example: '1'
                                tripshtNo:
                                  type: number
                                  example: 0
                                updMode:
                                  type: string
                                  example: API
                                userGSTINTransin:
                                  type: string
                                  example: 27AAACQ3770E004
                                vehicleNo:
                                  type: string
                                  example: PVC1234
                            example:
                              - enteredDate: 01/05/2024 07:00:00 PM
                                fromPlace: FRAZER TOWN
                                fromState: 27
                                groupNo: '0'
                                transDocDate: null
                                transDocNo: ''
                                transMode: '1'
                                tripshtNo: 0
                                updMode: API
                                userGSTINTransin: 27AAACQ3770E004
                                vehicleNo: PVC1234
                          actFromStateCode:
                            type: number
                            example: 27
                          actToStateCode:
                            type: number
                            example: 29
                          actualDist:
                            type: number
                            example: 1000
                          cessNonAdvolValue:
                            type: number
                            example: 400
                          cessValue:
                            type: number
                            example: 400.56
                          cgstValue:
                            type: number
                            example: 0
                          docDate:
                            type: string
                            example: 15/12/2017
                          docNo:
                            type: string
                            example: 7001-8
                          docType:
                            type: string
                            example: INV
                          ewayBillDate:
                            type: string
                            example: 01/05/2024 07:00:00 PM
                          ewbNo:
                            type: number
                            example: 291010077005
                          extendedTimes:
                            type: number
                            example: 0
                          fromAddr1:
                            type: string
                            example: 2ND CROSS NO 59  19  A
                          fromAddr2:
                            type: string
                            example: GROUND FLOOR OSBORNE ROAD
                          fromGstin:
                            type: string
                            example: 29AAACQ3770E000
                          fromPincode:
                            type: number
                            example: 400027
                          fromPlace:
                            type: string
                            example: FRAZER TOWN
                          fromStateCode:
                            type: number
                            example: 27
                          fromTrdName:
                            type: string
                            example: welton
                          genMode:
                            type: string
                            example: API
                          igstValue:
                            type: number
                            example: 300.67
                          itemList:
                            type: array
                            items:
                              type: object
                              properties:
                                cessNonAdvol:
                                  type: number
                                  example: 0
                                cessRate:
                                  type: number
                                  example: 3
                                cgstRate:
                                  type: number
                                  example: 0
                                hsnCode:
                                  type: number
                                  example: 1001
                                igstRate:
                                  type: number
                                  example: 3
                                itemNo:
                                  type: number
                                  example: 1
                                productDesc:
                                  type: string
                                  example: Wheat
                                productId:
                                  type: number
                                  example: 0
                                productName:
                                  type: string
                                  example: Wheat
                                qtyUnit:
                                  type: string
                                  example: BOX
                                quantity:
                                  type: number
                                  example: 4
                                sgstRate:
                                  type: number
                                  example: 0
                                taxableAmount:
                                  type: number
                                  example: 5609889
                            example:
                              - cessNonAdvol: 0
                                cessRate: 3
                                cgstRate: 0
                                hsnCode: 1001
                                igstRate: 3
                                itemNo: 1
                                productDesc: Wheat
                                productId: 0
                                productName: Wheat
                                qtyUnit: BOX
                                quantity: 4
                                sgstRate: 0
                                taxableAmount: 5609889
                          noValidDays:
                            type: number
                            example: 5
                          otherValue:
                            type: number
                            example: -100
                          rejectStatus:
                            type: string
                            example: 'N'
                          sgstValue:
                            type: number
                            example: 0
                          status:
                            type: string
                            example: ACT
                          subSupplyType:
                            type: string
                            example: '1  '
                          supplyType:
                            type: string
                            example: O
                          toAddr1:
                            type: string
                            example: Shree Nilaya
                          toAddr2:
                            type: string
                            example: Dasarahosahalli
                          toGstin:
                            type: string
                            example: 27AAACQ3770E000
                          toPincode:
                            type: number
                            example: 560090
                          toPlace:
                            type: string
                            example: Beml Nagar
                          toStateCode:
                            type: number
                            example: 29
                          toTrdName:
                            type: string
                            example: sthuthya
                          totInvValue:
                            type: number
                            example: 68358
                          totalValue:
                            type: number
                            example: 56099
                          transactionType:
                            type: number
                            example: 4
                          transporterId:
                            type: string
                            example: 27AAACQ3770E004
                          transporterName:
                            type: string
                            example: Acme Industries Private Limited
                          userGstin:
                            type: string
                            example: 29AAACQ3770E000
                          validUpto:
                            type: string
                            example: 06/05/2024 11:59:00 PM
                          vehicleType:
                            type: string
                            example: R
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: '357'
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 6dddbe8f-147f-4678-88b6-003f112854d7
              examples:
                200 EWB fetched:
                  summary: 200 EWB fetched
                  value:
                    code: 200
                    data:
                      data:
                        VehiclListDetails:
                          - enteredDate: 01/05/2024 07:00:00 PM
                            fromPlace: FRAZER TOWN
                            fromState: 27
                            groupNo: '0'
                            transDocDate: null
                            transDocNo: ''
                            transMode: '1'
                            tripshtNo: 0
                            updMode: API
                            userGSTINTransin: 27AAACQ3770E004
                            vehicleNo: PVC1234
                        actFromStateCode: 27
                        actToStateCode: 29
                        actualDist: 1000
                        cessNonAdvolValue: 400
                        cessValue: 400.56
                        cgstValue: 0
                        docDate: 15/12/2017
                        docNo: 7001-8
                        docType: INV
                        ewayBillDate: 01/05/2024 07:00:00 PM
                        ewbNo: 291010077005
                        extendedTimes: 0
                        fromAddr1: 2ND CROSS NO 59  19  A
                        fromAddr2: GROUND FLOOR OSBORNE ROAD
                        fromGstin: 29AAACQ3770E000
                        fromPincode: 400027
                        fromPlace: FRAZER TOWN
                        fromStateCode: 27
                        fromTrdName: welton
                        genMode: API
                        igstValue: 300.67
                        itemList:
                          - cessNonAdvol: 0
                            cessRate: 3
                            cgstRate: 0
                            hsnCode: 1001
                            igstRate: 3
                            itemNo: 1
                            productDesc: Wheat
                            productId: 0
                            productName: Wheat
                            qtyUnit: BOX
                            quantity: 4
                            sgstRate: 0
                            taxableAmount: 5609889
                        noValidDays: 5
                        otherValue: -100
                        rejectStatus: 'N'
                        sgstValue: 0
                        status: ACT
                        subSupplyType: '1  '
                        supplyType: O
                        toAddr1: Shree Nilaya
                        toAddr2: Dasarahosahalli
                        toGstin: 27AAACQ3770E000
                        toPincode: 560090
                        toPlace: Beml Nagar
                        toStateCode: 29
                        toTrdName: sthuthya
                        totInvValue: 68358
                        totalValue: 56099
                        transactionType: 4
                        transporterId: 27AAACQ3770E004
                        transporterName: Acme Industries Private Limited
                        userGstin: 29AAACQ3770E000
                        validUpto: 06/05/2024 11:59:00 PM
                        vehicleType: R
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 6dddbe8f-147f-4678-88b6-003f112854d7
                200 Fetch rejected EWB:
                  summary: 200 Fetch rejected EWB
                  value:
                    code: 200
                    data:
                      data:
                        VehiclListDetails:
                          - enteredDate: 01/05/2024 07:00:00 PM
                            fromPlace: FRAZER TOWN
                            fromState: 27
                            groupNo: '0'
                            transDocDate: null
                            transDocNo: ''
                            transMode: '1'
                            tripshtNo: 0
                            updMode: API
                            userGSTINTransin: 27AAACQ3770E004
                            vehicleNo: PVC1234
                        actFromStateCode: 27
                        actToStateCode: 29
                        actualDist: 1000
                        cessNonAdvolValue: 400
                        cessValue: 400.56
                        cgstValue: 0
                        docDate: 15/12/2017
                        docNo: 7001-8
                        docType: INV
                        ewayBillDate: 01/05/2024 07:00:00 PM
                        ewbNo: 291010077010
                        extendedTimes: 0
                        fromAddr1: 2ND CROSS NO 59  19  A
                        fromAddr2: GROUND FLOOR OSBORNE ROAD
                        fromGstin: 29AAACQ3770E000
                        fromPincode: 400027
                        fromPlace: FRAZER TOWN
                        fromStateCode: 27
                        fromTrdName: welton
                        genMode: API
                        igstValue: 300.67
                        itemList:
                          - cessNonAdvol: 0
                            cessRate: 3
                            cgstRate: 0
                            hsnCode: 1001
                            igstRate: 3
                            itemNo: 1
                            productDesc: Wheat
                            productId: 0
                            productName: Wheat
                            qtyUnit: BOX
                            quantity: 4
                            sgstRate: 0
                            taxableAmount: 5609889
                        noValidDays: 5
                        otherValue: -100
                        rejectStatus: 'Y'
                        sgstValue: 0
                        status: ACT
                        subSupplyType: '1  '
                        supplyType: O
                        toAddr1: Shree Nilaya
                        toAddr2: Dasarahosahalli
                        toGstin: 27AAACQ3770E000
                        toPincode: 560090
                        toPlace: Beml Nagar
                        toStateCode: 29
                        toTrdName: sthuthya
                        totInvValue: 68358
                        totalValue: 56099
                        transactionType: 4
                        transporterId: 27AAACQ3770E004
                        transporterName: Quicko Infosoft Private Limited
                        userGstin: 29AAACQ3770E000
                        validUpto: 06/05/2024 11:59:00 PM
                        vehicleType: R
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 67f3b1ad-80d6-4692-92d8-e978ffec096b
                357 EWB data not available:
                  summary: 357 EWB data not available
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: '357'
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: 5a742c1b-de26-41fe-bf27-9becb16ed6f4
          headers: {}
      deprecated: false
      security: []

````